%define upstream_name Shell-Config-Generate
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Portably generate config for any shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Shell/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Shell::Guess) >= 0.20.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
This module provides an interface for specifying shell configurations
for different shell environments without having to worry about the
arcane differences between shells such as csh, sh, cmd.exe and
command.com.

It does not modify the current environment, but it can be used to
create shell configurations which do modify the environment.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 0.250.0-1.mga6
+ Revision: 1010782
- update to 0.25

* Fri Feb 19 2016 umeabot <umeabot> 0.240.0-2.mga6
+ Revision: 969419
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.240.0-1.mga6
+ Revision: 868675
- update to 0.24

* Sun Jul 05 2015 sander85 <sander85> 0.220.0-1.mga6
+ Revision: 851103
- imported package perl-Shell-Config-Generate

